|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||
java.lang.Objectorg.apache.tapestry5.EventConstants
public class EventConstants
Constant values for common event names fired by Tapestry components.
| Field Summary | |
|---|---|
static String |
ACTION
Default client event name, "action", used in most situations. |
static String |
ACTIVATE
Event triggered when a page is activated (for rendering). |
static String |
ADD_ROW
Event triggered by AjaxFormLoop to inform the
container that a
new row has been requested. |
static String |
CANCELED
Event type associated with clicking the cancel button inside a BeanEditForm. |
static String |
DECORATE_COMPONENT_EVENT_LINK
Event triggered during component event link generation. |
static String |
DECORATE_PAGE_RENDER_LINK
Event triggered during page render link generation. |
static String |
FAILURE
Event type for a notification after the form has been submitted, when there are errors in the validation tracker. |
static String |
PARSE_CLIENT
Event triggered by some form-related components to parse a value provided by the client. |
static String |
PASSIVATE
Event triggered when a link for a page is generated. |
static String |
PREALLOCATE_FORM_CONTROL_NAMES
Name of a event triggered by the form component on the active page to allow it to pre-allocate the names of any query parameters that might be used by the page for its own purposes and should not be allocated to components. |
static String |
PREPARE
Invoked to let the containing component(s) prepare for the form rendering or the form submission. |
static String |
PREPARE_FOR_RENDER
Invoked before PREPARE when rendering out the form. |
static String |
PREPARE_FOR_SUBMIT
Invoked before PREPARE when the form is submitted. |
static String |
PROGRESSIVE_DISPLAY
Event triggered by ProgressiveDisplay component to inform its
container of what context (if any) is available. |
static String |
PROVIDE_COMPLETIONS
Event triggered by an Autocomplete mixin to
request completions of
the current input. |
static String |
REMOVE_ROW
Event triggered by AjaxFormLoop to inform the
container about the
row removed on the client side. |
static String |
SELECTED
Event type triggered by the Submit component
when it is the cause
of the form submission. |
static String |
SUBMIT
Event type for a notification after the form has submitted. |
static String |
SUCCESS
Event type for a notification after the form has submitted, when there are no errors in the validation tracker. |
static String |
SYNCHRONIZE_VALUES
Event triggered by the Loop component to
inform its container of
all the values that were supplied from the client during a form submission. |
static String |
TO_CLIENT
Event triggered by some form-related components to convert a server-side value to a client-side string, as an alternative to a Translator. |
static String |
VALIDATE
Event triggered by form-related components to validate user input. |
static String |
VALIDATE_FORM
Deprecated. As of 5.2, this event should no longer be used; the Form component now fires a VALIDATE
event. For compatibility, validateForm will be supported, but may be removed in a future release. |
static String |
VALUE_CHANGED
Event triggered by Select component to inform
its
container that Select's value has changed. |
| Constructor Summary | |
|---|---|
EventConstants()
|
|
| Method Summary |
|---|
| Methods inherited from class java.lang.Object |
|---|
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait |
| Field Detail |
|---|
public static final String ACTION
public static final String ACTIVATE
public static final String PASSIVATE
public static final String PREPARE_FOR_RENDER
PREPARE when rendering out the form.
Form,
Constant Field Valuespublic static final String PREPARE_FOR_SUBMIT
PREPARE when the form is submitted.
Form,
Constant Field Valuespublic static final String PREPARE
Form,
Constant Field Valuespublic static final String SUBMIT
Form,
Constant Field Valuespublic static final String VALIDATE_FORM
VALIDATE
event. For compatibility, validateForm will be supported, but may be removed in a future release.SUCCESS or FAILURE notification.
Form,
Constant Field Valuespublic static final String CANCELED
BeanEditForm.
public static final String SUCCESS
SUBMIT event.
Form,
Constant Field Valuespublic static final String FAILURE
SUBMIT event.
public static final String SELECTED
Submit component
when it is the cause
of the form submission.
public static final String PARSE_CLIENT
Translator.
public static final String TO_CLIENT
Translator.
public static final String VALIDATE
SUCCESS or FAILURE as a chance
to perform cross-form validations.
public static final String REMOVE_ROW
AjaxFormLoop to inform the
container about the
row removed on the client side. The event context is the object that was removed.
public static final String ADD_ROW
AjaxFormLoop to inform the
container that a
new row has been requested. The return value from the event handler must be the newly created
object, which must
also be visible in the encoder parameter.
public static final String SYNCHRONIZE_VALUES
Loop component to
inform its container of
all the values that were supplied from the client during a form submission. The event handler
method should have
a single parameter, of type Object[] or type List, to receive the values.
public static final String PROGRESSIVE_DISPLAY
ProgressiveDisplay component to inform its
container of what context (if any) is available. The event handler may return a renderable
object or null. If
null is returned, the component renders its own body as the partial markup response.
public static final String PROVIDE_COMPLETIONS
Autocomplete mixin to
request completions of
the current input. The context is the partial string provided by the client.
public static final String VALUE_CHANGED
Select component to inform
its
container that Select's value has changed.
public static final String DECORATE_PAGE_RENDER_LINK
Link object, the
second is the PageRenderRequestParameters from which the Link
was created. The event is triggered on the actively rendering page.
public static final String DECORATE_COMPONENT_EVENT_LINK
Link object,
the second is the ComponentEventRequestParameters from which the Link
was created. The event is triggered on the actively rendering page, not necessarily the page
containing the component.
public static final String PREALLOCATE_FORM_CONTROL_NAMES
IdAllocator is passed as the event context.
| Constructor Detail |
|---|
public EventConstants()
|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||